org.apache.poi.hwpf.model.types

## Class FibRgLw95AbstractType

- java.lang.Object
- - org.apache.poi.hwpf.model.types.FibRgLw95AbstractType

-     @Internal
      public abstract class FibRgLw95AbstractType
      extends java.lang.Object

  The FibRgLw95 structure is the third section of the FIB for Word95.

  NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

  This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

  Author:
    Sergey Vladimirov

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `field_1_cbMac`
    `protected int` | `field_10_ccpAtn`
    `protected int` | `field_11_ccpEdn`
    `protected int` | `field_12_ccpTxbx`
    `protected int` | `field_13_ccpHdrTxbx`
    `protected int` | `field_14_reserved5` Deprecated.
    `protected int` | `field_2_reserved1` Deprecated.
    `protected int` | `field_3_reserved2` Deprecated.
    `protected int` | `field_4_reserved3` Deprecated.
    `protected int` | `field_5_reserved4` Deprecated.
    `protected int` | `field_6_ccpText`
    `protected int` | `field_7_ccpFtn`
    `protected int` | `field_8_ccpHdd`
    `protected int` | `field_9_ccpMcr`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FibRgLw95AbstractType()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `protected void` | `fillFields(byte[] data, int offset)`
    `int` | `getCbMac()` Get the cbMac field for the FibRgLw95 record.
    `int` | `getCcpAtn()` Get the ccpAtn field for the FibRgLw95 record.
    `int` | `getCcpEdn()` Get the ccpEdn field for the FibRgLw95 record.
    `int` | `getCcpFtn()` Get the ccpFtn field for the FibRgLw95 record.
    `int` | `getCcpHdd()` Get the ccpHdd field for the FibRgLw95 record.
    `int` | `getCcpHdrTxbx()` Get the ccpHdrTxbx field for the FibRgLw95 record.
    `int` | `getCcpMcr()` Get the ccpMcr field for the FibRgLw95 record.
    `int` | `getCcpText()` Get the ccpText field for the FibRgLw95 record.
    `int` | `getCcpTxbx()` Get the ccpTxbx field for the FibRgLw95 record.
    `int` | `getReserved1()` Get the reserved1 field for the FibRgLw95 record.
    `int` | `getReserved2()` Get the reserved2 field for the FibRgLw95 record.
    `int` | `getReserved3()` Get the reserved3 field for the FibRgLw95 record.
    `int` | `getReserved4()` Get the reserved4 field for the FibRgLw95 record.
    `int` | `getReserved5()` Get the reserved5 field for the FibRgLw95 record.
    `static int` | `getSize()` Size of record
    `int` | `hashCode()`
    `byte[]` | `serialize()`
    `void` | `serialize(byte[] data, int offset)`
    `void` | `setCbMac(int field_1_cbMac)` Set the cbMac field for the FibRgLw95 record.
    `void` | `setCcpAtn(int field_10_ccpAtn)` Set the ccpAtn field for the FibRgLw95 record.
    `void` | `setCcpEdn(int field_11_ccpEdn)` Set the ccpEdn field for the FibRgLw95 record.
    `void` | `setCcpFtn(int field_7_ccpFtn)` Set the ccpFtn field for the FibRgLw95 record.
    `void` | `setCcpHdd(int field_8_ccpHdd)` Set the ccpHdd field for the FibRgLw95 record.
    `void` | `setCcpHdrTxbx(int field_13_ccpHdrTxbx)` Set the ccpHdrTxbx field for the FibRgLw95 record.
    `void` | `setCcpMcr(int field_9_ccpMcr)` Set the ccpMcr field for the FibRgLw95 record.
    `void` | `setCcpText(int field_6_ccpText)` Set the ccpText field for the FibRgLw95 record.
    `void` | `setCcpTxbx(int field_12_ccpTxbx)` Set the ccpTxbx field for the FibRgLw95 record.
    `void` | `setReserved1(int field_2_reserved1)` Set the reserved1 field for the FibRgLw95 record.
    `void` | `setReserved2(int field_3_reserved2)` Set the reserved2 field for the FibRgLw95 record.
    `void` | `setReserved3(int field_4_reserved3)` Set the reserved3 field for the FibRgLw95 record.
    `void` | `setReserved4(int field_5_reserved4)` Set the reserved4 field for the FibRgLw95 record.
    `void` | `setReserved5(int field_14_reserved5)` Set the reserved5 field for the FibRgLw95 record.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field_1_cbMac

          protected int field_1_cbMac

    - #### field_2_reserved1

          @Deprecated
          protected int field_2_reserved1

      Deprecated.

    - #### field_3_reserved2

          @Deprecated
          protected int field_3_reserved2

      Deprecated.

    - #### field_4_reserved3

          @Deprecated
          protected int field_4_reserved3

      Deprecated.

    - #### field_5_reserved4

          @Deprecated
          protected int field_5_reserved4

      Deprecated.

    - #### field_6_ccpText

          protected int field_6_ccpText

    - #### field_7_ccpFtn

          protected int field_7_ccpFtn

    - #### field_8_ccpHdd

          protected int field_8_ccpHdd

    - #### field_9_ccpMcr

          protected int field_9_ccpMcr

    - #### field_10_ccpAtn

          protected int field_10_ccpAtn

    - #### field_11_ccpEdn

          protected int field_11_ccpEdn

    - #### field_12_ccpTxbx

          protected int field_12_ccpTxbx

    - #### field_13_ccpHdrTxbx

          protected int field_13_ccpHdrTxbx

    - #### field_14_reserved5

          @Deprecated
          protected int field_14_reserved5

      Deprecated.

  - ### Constructor Detail

    - #### FibRgLw95AbstractType

          protected FibRgLw95AbstractType()

  - ### Method Detail

    - #### fillFields

          protected void fillFields(byte[] data,
                                    int offset)

    - #### serialize

          public void serialize(byte[] data,
                                int offset)

    - #### serialize

          public byte[] serialize()

    - #### getSize

          public static int getSize()

      Size of record

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getCbMac

          @Internal
          public int getCbMac()

      Get the cbMac field for the FibRgLw95 record.

    - #### setCbMac

          @Internal
          public void setCbMac(int field_1_cbMac)

      Set the cbMac field for the FibRgLw95 record.

    - #### getReserved1

          @Internal
          public int getReserved1()

      Get the reserved1 field for the FibRgLw95 record.

    - #### setReserved1

          @Internal
          public void setReserved1(int field_2_reserved1)

      Set the reserved1 field for the FibRgLw95 record.

    - #### getReserved2

          @Internal
          public int getReserved2()

      Get the reserved2 field for the FibRgLw95 record.

    - #### setReserved2

          @Internal
          public void setReserved2(int field_3_reserved2)

      Set the reserved2 field for the FibRgLw95 record.

    - #### getReserved3

          @Internal
          public int getReserved3()

      Get the reserved3 field for the FibRgLw95 record.

    - #### setReserved3

          @Internal
          public void setReserved3(int field_4_reserved3)

      Set the reserved3 field for the FibRgLw95 record.

    - #### getReserved4

          @Internal
          public int getReserved4()

      Get the reserved4 field for the FibRgLw95 record.

    - #### setReserved4

          @Internal
          public void setReserved4(int field_5_reserved4)

      Set the reserved4 field for the FibRgLw95 record.

    - #### getCcpText

          @Internal
          public int getCcpText()

      Get the ccpText field for the FibRgLw95 record.

    - #### setCcpText

          @Internal
          public void setCcpText(int field_6_ccpText)

      Set the ccpText field for the FibRgLw95 record.

    - #### getCcpFtn

          @Internal
          public int getCcpFtn()

      Get the ccpFtn field for the FibRgLw95 record.

    - #### setCcpFtn

          @Internal
          public void setCcpFtn(int field_7_ccpFtn)

      Set the ccpFtn field for the FibRgLw95 record.

    - #### getCcpHdd

          @Internal
          public int getCcpHdd()

      Get the ccpHdd field for the FibRgLw95 record.

    - #### setCcpHdd

          @Internal
          public void setCcpHdd(int field_8_ccpHdd)

      Set the ccpHdd field for the FibRgLw95 record.

    - #### getCcpMcr

          @Internal
          public int getCcpMcr()

      Get the ccpMcr field for the FibRgLw95 record.

    - #### setCcpMcr

          @Internal
          public void setCcpMcr(int field_9_ccpMcr)

      Set the ccpMcr field for the FibRgLw95 record.

    - #### getCcpAtn

          @Internal
          public int getCcpAtn()

      Get the ccpAtn field for the FibRgLw95 record.

    - #### setCcpAtn

          @Internal
          public void setCcpAtn(int field_10_ccpAtn)

      Set the ccpAtn field for the FibRgLw95 record.

    - #### getCcpEdn

          @Internal
          public int getCcpEdn()

      Get the ccpEdn field for the FibRgLw95 record.

    - #### setCcpEdn

          @Internal
          public void setCcpEdn(int field_11_ccpEdn)

      Set the ccpEdn field for the FibRgLw95 record.

    - #### getCcpTxbx

          @Internal
          public int getCcpTxbx()

      Get the ccpTxbx field for the FibRgLw95 record.

    - #### setCcpTxbx

          @Internal
          public void setCcpTxbx(int field_12_ccpTxbx)

      Set the ccpTxbx field for the FibRgLw95 record.

    - #### getCcpHdrTxbx

          @Internal
          public int getCcpHdrTxbx()

      Get the ccpHdrTxbx field for the FibRgLw95 record.

    - #### setCcpHdrTxbx

          @Internal
          public void setCcpHdrTxbx(int field_13_ccpHdrTxbx)

      Set the ccpHdrTxbx field for the FibRgLw95 record.

    - #### getReserved5

          @Internal
          public int getReserved5()

      Get the reserved5 field for the FibRgLw95 record.

    - #### setReserved5

          @Internal
          public void setReserved5(int field_14_reserved5)

      Set the reserved5 field for the FibRgLw95 record.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.